Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum, zapoznaj się z kilkoma zasadami savoir-vivre'u w dziale Administracja.
Wiadomości z problemami zamieszczone w wątku "Przywitaj się" oraz wszelkie reklamy na naszym forum będą usuwane.

Ostatnie wiadomości

#1
openSUSE / Odp: drukarka brother DCP-L260...
Ostatnia wiadomość przez linux4ever - Lipiec 15, 2024, 04:57:33 PM
Cytat: 122-AA w Lipiec 15, 2024, 04:50:35 PM:)
Niestety drukarka pod usb
Brother zawsze miał sterowniki pod Linuksem  wszystko działało a teraz nie działa :(
nawet oprogramowanie pod Linuksem nie ma opcji - poziom tuszu a pod Windowsem jest:(

 Jak można wyczyścić system ze wszystkich sterowników wgrany  wcześniej?
Tak by zacząć konfiguracje od nowa?
samo wyłączenie w ysat nie działa:(

sudo zypper rm --clean-deps system-config-printer lub sudo zypper rm -u system-config-printer

Z tego co znalazłem i kombinuje do instalacji sudo zypper install system-config-printer

#2
openSUSE / Odp: drukarka brother DCP-L260...
Ostatnia wiadomość przez 122-AA - Lipiec 15, 2024, 04:50:35 PM
:)
Niestety drukarka pod usb
Brother zawsze miał sterowniki pod Linuksem  wszystko działało a teraz nie działa :(
nawet oprogramowanie pod Linuksem nie ma opcji - poziom tuszu a pod Windowsem jest:(

 Jak można wyczyścić system ze wszystkich sterowników wgrany  wcześniej?
Tak by zacząć konfiguracje od nowa?
samo wyłączenie w ysat nie działa:(
#3
openSUSE / Odp: drukarka brother DCP-L260...
Ostatnia wiadomość przez linux4ever - Lipiec 15, 2024, 04:38:41 PM
Cytat: 122-AA w Lipiec 15, 2024, 04:18:52 PMdzień dobry,
zainstalowałem te sterownik ze strony producenta nawet te 32 bitowe.
Jak wysyłam jakiś dokument ot drukarka ustawia się w try odbioru zaczynają pracować roli i ...i koniec wszystko się urywa.
Próbowałem instalować przez yast printer oraz system-config-printer
i dalej nic:(

A masz włączone repozytorium 32 bitowe i zaaktualizowany system ?

I jeśli masz drukowanie po wifi to musisz powziąć następujące kroki:

Połączyć się po wifi drukarką w system-config-printer wybrać dodaj drukarke.

Potem drukarka sieciowa i ipps lub ipp z protokołów dalej wybierz drukarkę z bazy danych jeśli masz plik ppd wybierz  podaj plik ppd  klkasz cały czas dalej lub znajdź sterownik drukarki do pobrania i klikasz ciągle dalej.

W system-confog-printer zmień opcje drukowania:

Klikasz na drukarkę potem  właściwości wybierasz opcje drukarki gdy chcesz drukować w innym formacie itp...

Natomiast jeśli chodzi o kolejkę wydruku i problem z nią klikasz opcje zadania.

To tyle a i wcześniej usuń poprzednie ustawienia w programie i dodaj drukarke od nowa.

PS z archiwum sterownika potrzebujesz tylko pliku ppd jest on w folderze /./opt/brother/Printers/DCPL2600D/cupswrapper/

Gdy już go wypakujesz wybierz go w system-config-printer

#4
openSUSE / Odp: drukarka brother DCP-L260...
Ostatnia wiadomość przez 122-AA - Lipiec 15, 2024, 04:18:52 PM
dzień dobry,
zainstalowałem te sterownik ze strony producenta nawet te 32 bitowe.
Jak wysyłam jakiś dokument ot drukarka ustawia się w try odbioru zaczynają pracować roli i ...i koniec wszystko się urywa.
Próbowałem instalować przez yast printer oraz system-config-printer
i dalej nic:(
#5
Ubuntu, Kubuntu, Xubuntu, Lubuntu / Odp: ubuntu 18 skaner failed t...
Ostatnia wiadomość przez pavbaranov - Lipiec 15, 2024, 01:23:38 PM
Bo najlepiej zainstalować aktualne Ubuntu, czyli 24.04. Wersja 18.04 jest już bez wsparcia, nie bardzo zatem wiadomo dlaczego to akurat my mielibyśmy ją wspierać.
Ten błąd, który skanlite pokazuje, jest pełny? Tak, czy inaczej pokazuje na jakiś błąd wejścia/wyjścia, czyli ogólnie mówiąc komunikacji z urządzeniem. Jeśli masz inne gniazdo USB - spróbuj wpierw użyć tego innego.
W sumie, to pytanie dlaczego używasz w Ubuntu aplikacji ze stajni KDE, skoro masz narzędzia do skanowania w GNOME. Być może - choć wątpię - jakiś problem leży po stronie brakujących jakichś bibliotek z KF5/Qt5 (bo chyba to skanlite, które Ty masz zainstalowane na tym pracuje).

Pokaż w ogóle czy SANE widzi to urządzenie:
http://scanimage -L
Jeśli wystąpi jakiś problem, wywołaj to polecenie z uprawnieniami roota (sudo).

I pokaż wyniki.
#6
openSUSE / Odp: drukarka brother DCP-L260...
Ostatnia wiadomość przez pavbaranov - Lipiec 15, 2024, 01:11:17 PM
Być może brak 32-bitowych bibliotek w systemie.
Czym instalowałeś te sterowniki i skąd je wziąłeś. Dla rpm na stronie Brothera jest i sam sterownik i ich instalator.
Jaki pojawia się błąd?
Z debugowaniem to nie działa w ten sposób, że jeśli to "włączysz", to od razu będzie działać - to jedynie, o ile się na tym znasz, pomoże w zdiagnozowaniu problemu, bowiem najczęściej pokazuje co boli system i dlaczego coś nie chce działać prawidłowo.
Na stronie Brothera masz też pomoc dotyczącą instalacji: https://www.brother.pl/support/dcp-l2600d/faqs/how-to-trouble-shooting/faq00100556_000
#7
Jaki Linux wybrać / Odp: Distro out of the box
Ostatnia wiadomość przez pavbaranov - Lipiec 15, 2024, 01:01:19 PM
I właśnie na to ostatnie pytanie nikt Ci nie odpowie, albowiem to są indywidualne sprawy. Jednemu pasuje Plasma, a nie pasuje GNOME, czy XFCE (by pozostać przy tych najpopularniejszych chyba) i tak jest ze mną, a inny świata nie widzi oprócz GNOME, czy XFCE. Dlatego zawsze proponuję ściągnąć kilka live z różnymi środowiskami - nie instalować ich, a pobawić się chwilę w trybie live.

Z Twoich preferencji wynika, że zasadniczo wybór środowiska jest obojętny, bowiem oprócz programów graficznych, całą resztę masz w natywnych aplikacjach pod dane środowisko. Z graficznymi wygląda to mniej więcej tak, że najpopularniejszym programem graficznym na linuksa jest GIMP i niestety ten jest w wersji stabilnej na archaicznych już obecnie bibliotekach Gtk+2 (GNOME jest obecnie na 4 wersji tych bibliotek). Drugim, w fajnym rozwoju, choć nieco o innych zastosowaniach oprogramowaniem tego typu jest Krita (ta jest na Qt5, które nawet instalując najnowszą wersję Plazmy, która oparta jest o KF6/Qt6 i tak będziesz miał w systemie, albowiem nie wszystkie jeszcze aplikacje z KDE Gear są już oparte o to oprogramowanie). Z tego punktu widzenia, niezależnie od tego, które środowisko wybierzesz i tak wybierając dowolne oprogramowanie doinstalują Ci się biblioteki dodatkowe.

TIP: Osobiście uważam KDE wygodniejsze z jednego powodu. Po instalacji środowiska zasadniczo wszystko, co potrzebujesz masz. Nie musisz się zastanawiać do masz doinstalować, bo coś chcesz zmienić np. w wyglądzie, czy innych ustawieniach. W GNOME - przynajmniej tak, jak to jest w większości dystrybucji instalowane - kiedy chcesz coś zmienić musisz wpaść na pomysł, jakie pytanie zadać, by w odpowiedzi otrzymać odpowiedź, że musisz doinstalować jakieś narzędzie, czy wtyczkę w tym celu. A faktem, że masz w KDE sporo nadmiarowych funkcji nie należy się przejmować, bo po prostu nie musisz z nich korzystać.
#8
openSUSE / drukarka brother DCP-L2600D
Ostatnia wiadomość przez 122-AA - Lipiec 15, 2024, 12:49:37 PM
Dzień dobry,
zainstalowałem sobie uaktualnienie do Leap 15.6 i się zaczęło:(
padła drukarka DCP-L2600D
odinstalowałem wszystko i zainstalowałem do nowa ale...dalej nic to nie działa.
Niby sterowniki ze strony Brother ale tylko 32bitowe 64 brak ;(
Skaner działa bez zastrzeżeń dla drukarka przerywa jest impuls coś się zaczyna dziać
Pojawia się błąd wydruku i jak próbuję zdiagnozować to dalej nic to nie pomaga:(

Żądanie "debugowania" jakby to cokolwiek miało znaczyć? dla mnie nic nie znaczy ale jak włączam to dalej kicha:(
Pomocy!
#9
Ubuntu, Kubuntu, Xubuntu, Lubuntu / Odp: ubuntu 18 skaner failed t...
Ostatnia wiadomość przez linux4ever - Lipiec 15, 2024, 07:46:56 AM
Cytat: MarianoLin w Lipiec 14, 2024, 10:24:30 PMmożna tak krok po kroku... 18 ubuntu i  20.04 i tak skanery nie działają nawet HP...

Instalujesz GCC i G++  przez sudo apt install gcc oraz sudo apt install g++

W przypadku gutenprint sudo apt build-dep gutenprint i pobierasz jedno z archiwum:

https://sourceforge.net/projects/gimp-print/files/gutenprint-5.3/5.3.4/

I nawigujesz do wypakowanego archiwum przez cd np cd /gutenprint-5.3.4

Potem klikasz ./configure a następnie make i make install

W przypadku sane: https://gitlab.com/sane-project/backends/-/releases oraz https://gitlab.com/sane-project/frontends/-/releases

Instalujesz potrzebne zależności czyli sudo apt install libusb-dev libjpeg-dev  libgphoto2-dev libieee1284-3-dev  autoconf autoconf-archive  automake libtool gettext git

I klikasz sane source code i rozpakowujesz następnie klikasz cd /backends-1.3.1

Potem musisz wpisać ./autogen.sh kolejny krok to ./configure następne make i make install

Z sane frontends postępujesz podobnie czyli ./configure potem make i make install

Gdy już wszystko zbudujesz i zainstalujesz resetujesz system i podłączasz swoje urządzenie czyli tego epsona.

Po tym wszystkim powinno działać.

#10
Ubuntu, Kubuntu, Xubuntu, Lubuntu / Odp: ubuntu 18 skaner failed t...
Ostatnia wiadomość przez MarianoLin - Lipiec 14, 2024, 10:24:30 PM
można tak krok po kroku... 18 ubuntu i  20.04 i tak skanery nie działają nawet HP...

Zobacz najnowsze wiadomości na forum